<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@3B02=FF</action>
    </script>
  </cheat>

  <cheat desc="Invincibility">
    <script state="on">
      <action>temp0 =maincpu.ob@897A</action>
      <action>temp1 =maincpu.ob@89E1</action>
      <action>temp2 =maincpu.ob@8A15</action>
    </script>
    <script state="run">
      <action>maincpu.ob@897A=39</action>
      <action>maincpu.ob@89E1=39</action> <!-- 1st = On Fighter -->
      <action>maincpu.ob@8A15=39</action> <!-- 2nd + 3rd = On Robot -->
    </script>
    <script state="off">
      <action>maincpu.ob@897A=temp0 </action>
      <action>maincpu.ob@89E1=temp1 </action>
      <action>maincpu.ob@8A15=temp2 </action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire - Left Weapon">
    <script state="run">
      <action>maincpu.pb@3C2E=00</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire - Right Weapon">
    <script state="run">
      <action>maincpu.pb@3C2D=00</action>
    </script>
  </cheat>

  <cheat desc="Select Left Weapon"> <comment>You need to be fully transformed (have helmet and legs) to be able to use this weapon cheat</comment>
    <parameter>
      <item value="0x10">Vulcan</item>
      <item value="0x11">Cannon</item>
      <item value="0x12">ShotGun 1</item>
      <item value="0x13">ShotGun 2</item>
      <item value="0x14">Punch</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@39C7=param</action>
    </script>
  </cheat>

  <cheat desc="Select Right Weapon"> <comment>You need to be fully transformed (have helmet and legs) to be able to use this weapon cheat</comment>
    <parameter>
      <item value="0x10">Vulcan</item>
      <item value="0x11">Cannon</item>
      <item value="0x12">ShotGun 1</item>
      <item value="0x13">ShotGun 2</item>
      <item value="0x14">Punch</item>
      <item value="0x15">Shield</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@39DF=param</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@3D00=FF</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@3D80=FF</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Sound Test">
    <parameter min="1" max="77" step="1"/>
    <script state="change">
      <action>maincpu.pb@3B80=param</action>
      <action>maincpu.pd@3B16=3B813B80</action>
      <action condition="maincpu.pb@3B02==00">maincpu.pb@3B02=01</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
